Bug 168150 - oops when loading scsi modules
oops when loading scsi modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 17:35 EDT by Jeremy Katz
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 11:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-09-12 17:35:14 EDT
The following (non-fatal) oops seems to occur on loading scsi modules.  This has
some fun side effects for installation since we then don't include the scsi
adapters in modprobe.conf :)   

[root@dhcp113 ~]# uname -a
Linux dhcp113.install.boston.redhat.com 2.6.13-1.1549_FC5 #1 Sun Sep 11 18:20:35
EDT 2005 i686 i686 i386 GNU/Linux



Debug: sleeping function called from invalid context at mm/rmap.c:85
in_atomic():0, irqs_disabled():1
 [<c01855b9>] anon_vma_prepare+0x19/0x3c0
 [<c0182a3d>] expand_stack+0xd/0x200
 [<c03f0e2e>] do_page_fault+0x36e/0x630
 [<c03f0ac0>] do_page_fault+0x0/0x630
 [<c01042ff>] error_code+0x4f/0x60
 [<c02e4a5f>] cfq_exit_single_io_context+0x1f/0x2a0
 [<c02e4cfb>] cfq_exit_io_context+0x1b/0x40
 [<c02dc691>] exit_io_context+0x111/0x280
 [<c012b0e0>] do_exit+0x50/0x810
 [<c012b9f2>] do_group_exit+0x112/0x2d0
 [<c0104029>] syscall_call+0x7/0xb
Unable to handle kernel paging request at virtual address 6b6b6b6b
 printing eip:
c02e4a5f
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: ata_piix libata sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c02e4a5f>]    Not tainted VLI
EFLAGS: 00010046   (2.6.13-1.1549_FC5)
EIP is at cfq_exit_single_io_context+0x1f/0x2a0
eax: 00000006   ebx: c19f29c8   ecx: f7c543e8   edx: 6b6b6b6b
esi: f7ca4c84   edi: f7ca54a0   ebp: f7c0d000   esp: f7c0df64
ds: 007b   es: 007b   ss: 0068
Process insmod (pid: 356, threadinfo=f7c0d000 task=c19d6aa0)
Stack: f7ca54a0 f7c554a0 00000282 c02e4cfb c19d6aa0 f7c543e8 00000286 c02dc691
       c19d6aa0 f7c0d000 00000000 c012b0e0 00000000 00000000 f7f45638 00000000
       f7c0d000 c012b9f2 00000000 00000000 000033e8 c0104029 00000000 00000000
Call Trace:
 [<c02e4cfb>] cfq_exit_io_context+0x1b/0x40
 [<c02dc691>] exit_io_context+0x111/0x280
 [<c012b0e0>] do_exit+0x50/0x810
 [<c012b9f2>] do_group_exit+0x112/0x2d0
 [<c0104029>] syscall_call+0x7/0xb
Code: 26 00 00 00 00 8d bc 27 00 00 00 00 57 56 53 89 c7 8b 40 08 8b 70 04 8b 5e
04 9c 58 f6 c4 02 0f 85 86 01 00 00 8b 93 54 01 00 00 <81> 3a 3c 4b 24 1d 74 38
8b 15 54 8a 4e c0 85 d2 0f 84 c2 01 00
Comment 1 Tom London 2005-09-13 09:33:24 EDT
I'm getting a similar Oops on 1549 (also seems non-fatal):

Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
  Vendor: TOSHIBA   Model: MK8026GAX         Rev: 0811
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
Unable to handle kernel paging request at virtual address 6b6b6b6b
 printing eip:
c0301263
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: usb_storage scsi_mod uhci_hcd ehci_hcd parport_pc parport
hw_random tpm_nsc tpm i2c_i801 i2c_core snd_intel8x0m snd_intel8x0
snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc
eepro100 ipw2200 ieee80211 ieee80211_crypt e100 mii dm_snapshot dm_zero
dm_mirror ext3
jbd dm_mod
CPU:    0
EIP:    0060:[<c0301263>]    Not tainted VLI
EFLAGS: 00010046   (2.6.13-1.1549_FC5)
EIP is at cfq_exit_single_io_context+0x22/0x329
eax: 00000082   ebx: f7c1c410   ecx: f7784000   edx: 6b6b6b6b
esi: f7277494   edi: f7c37158   ebp: f771d000   esp: f771df04
ds: 007b   es: 007b   ss: 0068
Process usb-stor-scan (pid: 1327, threadinfo=f771d000 task=f7784000)
Stack: c025c003 f8a89a61 00000400 f7206ea8 00000246 c050fec4 00000028 00000246
       f7c37158 f7c372fc 00000286 c0301585 f7784000 f7c362d0 00000286 c02f8d22
       f7206b78 00000246 00000000 c050fec5 ffffffff c0474bc0 f7784000 f7206fe0
Call Trace:
 [<c025c003>] kobject_release+0x0/0x8
 [<c0301585>] cfq_exit_io_context+0x1b/0x34
 [<c02f8d22>] exit_io_context+0x12e/0x305
 [<c012dd30>] do_exit+0x5c/0x92c
 [<c012e613>] sys_exit+0x0/0xd
 [<f8a8205a>] usb_stor_scan_thread+0x71/0x16e [usb_storage]
 [<c0152462>] autoremove_wake_function+0x0/0x37
 [<f8a81fe9>] usb_stor_scan_thread+0x0/0x16e [usb_storage]
 [<c01012fd>] kernel_thread_helper+0x5/0xb
Code: 54 c0 5b 5e e9 da 92 e7 ff 57 56 53 83 ec 20 89 c7 8b 40 08 8b 70 04 8b 5e
04 9c 58 f6 c4 02 0f 85 c1 01 00 00 8b 93 54 01 00 00 <81> 3a 3c 4b 24 1d 74 42
a1 54 fa 50 c0 85 c0 0f 84 09 02 00 00
 <5>SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: assuming drive cache: write through
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: assuming drive cache: write through
 sda: sda1 sda2 sda3
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
ACPI: AC Adapter [ADP1] (on-line)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Battery Slot [BAT2] (battery absent)
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
Comment 2 Tom London 2005-09-13 09:39:40 EDT
Sorry for the multiple post....

Checking my log, appears that I had an 'identical' Oops yesterday with .1547.
Comment 3 Jeremy Katz 2005-09-13 11:15:01 EDT
This one seems fixed in 1552

Note You need to log in before you can comment on or make changes to this bug.